Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.discovery
Class IncomingSearchResponse

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.IncomingDatagramMessage<UpnpResponse>
              org.teleal.cling.model.message.discovery.IncomingSearchResponse

    public class IncomingSearchResponse

extends IncomingDatagramMessage<UpnpResponse>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`IncomingSearchResponse(IncomingDatagramMessage<UpnpResponse> source)`

Method Summary
`byte[]` | `getInterfaceMacHeader()`
`URL` | `getLocationURL()`
`Integer` | `getMaxAge()`
`UDN` | `getRootDeviceUDN()`
`boolean` | `isSearchResponseMessage()`

Methods inherited from class org.teleal.cling.model.message.IncomingDatagramMessage
`getLocalAddress, getSourceAddress, getSourcePort`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncomingSearchResponse

    public IncomingSearchResponse(IncomingDatagramMessage<UpnpResponse> source)

Method Detail

### isSearchResponseMessage

    public boolean isSearchResponseMessage()

### getRootDeviceUDN

    public UDN getRootDeviceUDN()

### getLocationURL

    public URL getLocationURL()

### getMaxAge

    public Integer getMaxAge()

### getInterfaceMacHeader

    public byte[] getInterfaceMacHeader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.